# Ipopt::RestoFilterConvergenceCheck Class Reference

This is the implementation of the restoration convergence check is the original algorithm used the filter globalization mechanism. More...

`#include <IpRestoFilterConvCheck.hpp>`

Inheritance diagram for Ipopt::RestoFilterConvergenceCheck:
[legend]

List of all members.

## Public Member Functions
void | SetOrigLSAcceptor (const BacktrackingLSAcceptor &orig_ls_acceptor)
| Set the object for the original filter line search.
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| overloaded from AlgorithmStrategyObject
Constructors/Destructors
| RestoFilterConvergenceCheck ()
| Default Constructor.
virtual | ~RestoFilterConvergenceCheck ()
| Default destructor.
## Static Public Member Functions
static void | RegisterOptions (SmartPtr< RegisteredOptions > roptions)
| Methods used by IpoptType.
## Private Member Functions
virtual ConvergenceStatus | TestOrigProgress (Number orig_trial_barr, Number orig_trial_theta)
| Method for checking progress with original filter globalization mechanism.
Default Compiler Generated Methods (Hidden to avoid
implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| RestoFilterConvergenceCheck (const RestoFilterConvergenceCheck &)
| Copy Constructor.
void | operator= (const RestoFilterConvergenceCheck &)
| Overloaded Equals Operator.
## Private Attributes
const FilterLSAcceptor * | orig_filter_ls_acceptor_
| Strategy object for the filter line search method for the original NLP.

## Detailed Description

This is the implementation of the restoration convergence check is the original algorithm used the filter globalization mechanism.

Definition at line 24 of file IpRestoFilterConvCheck.hpp.

## Constructor & Destructor Documentation

Ipopt::RestoFilterConvergenceCheck::RestoFilterConvergenceCheck | ( |  | ) |

Default Constructor.

virtual Ipopt::RestoFilterConvergenceCheck::~RestoFilterConvergenceCheck | ( |  | ) | `[virtual]`

Default destructor.

Ipopt::RestoFilterConvergenceCheck::RestoFilterConvergenceCheck | ( | const RestoFilterConvergenceCheck & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

void Ipopt::RestoFilterConvergenceCheck::SetOrigLSAcceptor | ( | const BacktrackingLSAcceptor & | orig_ls_acceptor | ) | `[virtual]`

Set the object for the original filter line search.

Here, orig_filter_ls_acceptor must be the same strategy object to which the restoration phase object with this object is given. This method must be called to finish the definition of the algorithm, before Initialize is called.

Implements Ipopt::RestoConvergenceCheck.

virtual bool Ipopt::RestoFilterConvergenceCheck::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

overloaded from AlgorithmStrategyObject

Reimplemented from Ipopt::RestoConvergenceCheck.

static void Ipopt::RestoFilterConvergenceCheck::RegisterOptions | ( | SmartPtr< RegisteredOptions > | roptions | ) | `[static]`

Methods used by IpoptType.

Reimplemented from Ipopt::RestoConvergenceCheck.

void Ipopt::RestoFilterConvergenceCheck::operator= | ( | const RestoFilterConvergenceCheck & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::RestoConvergenceCheck.

virtual ConvergenceStatus Ipopt::RestoFilterConvergenceCheck::TestOrigProgress | ( | Number | orig_trial_barr,
|  | Number | orig_trial_theta |
| ) |  |  | `[private, virtual]`

Method for checking progress with original filter globalization mechanism.

Overloaded from RestoConvergenceCheck.

Implements Ipopt::RestoConvergenceCheck.

## Member Data Documentation

const FilterLSAcceptor* Ipopt::RestoFilterConvergenceCheck::orig_filter_ls_acceptor_`[private]`

Strategy object for the filter line search method for the original NLP.

CAREFUL: We must not hold on to this object with a SmartPtr, because have otherwise circular references that prevent the destructor of the line search object to be called!

Definition at line 77 of file IpRestoFilterConvCheck.hpp.

The documentation for this class was generated from the following file:

- src/Algorithm/IpRestoFilterConvCheck.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines